%global debug_package %{nil}

Name: python-pyperclip
Epoch: 100
Version: 1.8.2
Release: 1%{?dist}
BuildArch: noarch
Summary: Cross-platform clipboard module for Python
License: BSD-3-Clause
URL: https://pypi.org/project/pyperclip/#history
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Pyperclip is a cross-platform Python module for copy and paste clipboard
functions.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-pyperclip
Summary: Cross-platform clipboard module for Python
Requires: python3
Provides: python3-pyperclip = %{epoch}:%{version}-%{release}
Provides: python3dist(pyperclip) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pyperclip = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pyperclip) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pyperclip = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pyperclip) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-pyperclip
Pyperclip is a cross-platform Python module for copy and paste clipboard
functions.

%files -n python%{python3_version_nodots}-pyperclip
%license LICENSE.txt
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-pyperclip
Summary: Cross-platform clipboard module for Python
Requires: python3
Provides: python3-pyperclip = %{epoch}:%{version}-%{release}
Provides: python3dist(pyperclip) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pyperclip = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pyperclip) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pyperclip = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pyperclip) = %{epoch}:%{version}-%{release}

%description -n python3-pyperclip
Pyperclip is a cross-platform Python module for copy and paste clipboard
functions.

%files -n python3-pyperclip
%license LICENSE.txt
%{python3_sitelib}/*
%endif

%changelog
